@if "%stop_all%" == "yes" @goto done

@echo ---- SIS_RequestDelete\stop.bat --------------------------------------
@echo About to stop the Listener, MobiLink server and the database server
@rem
@rem  1) Shuts down the MobiLink listener
@rem  2) Shuts down the MobiLink server
@rem  3) Shuts down the consolidated database server
@rem --------------------------------------------------------------------------

@setlocal
@call common.bat
@if "%_continue_%" == "no" @goto stop_all

@rem --------------------------------------------------------------------------
@echo     Inserting a push request to signal the Listener for shutdown...
@rem
@dbisql -q -nogui -c "dsn=%condb_dsn%" read push.sql [Default-DeviceTracker] [Notifier A message to shutdown] [ signal listner to terminate] [device1-dblsn] [0] [0]
@sissleep 12

@rem --------------------------------------------------------------------------
@echo     Stopping MobiLink server...
@rem
@dbmlstop -q -w >nul 2>&1

@rem --------------------------------------------------------------------------
@echo     Stopping the consolidated database...
@rem
@dbstop -q -y -c uid=dba;pwd=sql;dsn=%condb_dsn% >nul 2>&1

@endlocal
@goto done
:stop_all
@endlocal
set stop_all=yes
:done
